Skip to main content

GetBlockById

POST

Query block by ID(block hash).
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
valuestring
Block ID (hash). Example: 00000000000f424013e51b18e0782a32fa079ddafdb2f4c343468cf8896dc887
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
blockIDstring
numberinteger
txTrieRootstring
witness_addressstring
parentHashstring
timestampinteger
witness_signaturestring
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/getblockbyid' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"value": "00000000000f424013e51b18e0782a32fa079ddafdb2f4c343468cf8896dc887"
}'